{"title":"Get opportunities","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_opportunity_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_opportunity_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_opportunity_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets an opportunity object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get opportunities","slug":"get-opportunities","at":0,"chars":1725},{"level":2,"title":"HTTP request","slug":"http-request","at":110,"chars":212},{"level":2,"title":"Request headers","slug":"request-headers","at":322,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":394,"chars":61},{"level":2,"title":"Response","slug":"response","at":455,"chars":124},{"level":2,"title":"Example","slug":"example","at":579,"chars":893},{"level":2,"title":"Related information","slug":"related-information","at":1472,"chars":253}],"text":"# Get opportunities\nRetrieves the properties and relationships of an opportunity object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/opportunities({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an opportunity object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/opportunities({id})\n```\nResponse\nHere's an example of the response.\n```json\n200 OK\n{\n\"@odata.etag\": \"W/\\\"JzQ0OzZXc0ZDVjlUYjBOTDNOYmMvbjdTSTNpRWlhVjVXbmRBUzltakJOYmFlTU09MTswMDsn\\\"\",\n\"id\": \"2438bf05-52ff-eb11-bb76-000d3a220646\",\n\"number\": \"OP100001\",\n\"contactNumber\": \"CT200116\",\n\"contactName\": \"David Oliver Lawrence\",\n\"contactCompanyName\": \"A. Gibson\\\"s Law Firm\",\n\"salespersonCode\": \"BC\",\n\"description\": \"New tables\",\n\"status\": \"In_x0020_Progress\",\n\"closed\": false,\n\"creationDate\": \"2022-11-05\",\n\"dateClosed\": \"0001-01-01\",\n\"calculatedCurrentValue\": 600,\n\"chancesOfSuccessPrc\": 15,\n\"completedPrc\": 2,\n\"estimatedClosingDate\": \"2023-11-11\",\n\"estimatedValue\": 200000,\n\"systemCreatedAt\": \"2021-08-17T11:55:35.327Z\",\n\"lastModifiedDateTime\": \"2021-08-17T11:55:35.327Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_opportunity\ndynamics_opportunity_delete\nPOST opportunity<dynamics_opportunity_create>\nPATCH opportunity<dynamics_opportunity_update>"}